Magick++: Magick::PathArcArgs Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathArcArgs Class Reference

`#include <Drawable.h>`

## Public Member Functions
| PathArcArgs (void)
| PathArcArgs (double radiusX_, double radiusY_, double xAxisRotation_, bool largeArcFlag_, bool sweepFlag_, double x_, double y_)
| PathArcArgs (const PathArcArgs &original_)
| ~PathArcArgs (void)
void | radiusX (double radiusX_)
double | radiusX (void) const
void | radiusY (double radiusY_)
double | radiusY (void) const
void | xAxisRotation (double xAxisRotation_)
double | xAxisRotation (void) const
void | largeArcFlag (bool largeArcFlag_)
bool | largeArcFlag (void) const
void | sweepFlag (bool sweepFlag_)
bool | sweepFlag (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const

## Detailed Description

Definition at line 2356 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathArcArgs() [1/3]

Magick::PathArcArgs::PathArcArgs | ( | void |  | ) |

Definition at line 1791 of file Drawable.cpp.

## ◆ PathArcArgs() [2/3]

Magick::PathArcArgs::PathArcArgs | ( | double | radiusX_,
|  | double | radiusY_,
|  | double | xAxisRotation_,
|  | bool | largeArcFlag_,
|  | bool | sweepFlag_,
|  | double | x_,
|  | double | y_
| ) |  |

Definition at line 1802 of file Drawable.cpp.

## ◆ PathArcArgs() [3/3]

Magick::PathArcArgs::PathArcArgs | ( | const PathArcArgs & | original_ | ) |

Definition at line 1815 of file Drawable.cpp.

## ◆ ~PathArcArgs()

Magick::PathArcArgs::~PathArcArgs | ( | void |  | ) |

Definition at line 1826 of file Drawable.cpp.

## Member Function Documentation

## ◆ largeArcFlag() [1/2]

void Magick::PathArcArgs::largeArcFlag | ( | bool | largeArcFlag_ | ) |
| inline

Definition at line 2396 of file Drawable.h.

## ◆ largeArcFlag() [2/2]

bool Magick::PathArcArgs::largeArcFlag | ( | void |  | ) | const
| inline

Definition at line 2400 of file Drawable.h.

## ◆ radiusX() [1/2]

void Magick::PathArcArgs::radiusX | ( | double | radiusX_ | ) |
| inline

Definition at line 2369 of file Drawable.h.

## ◆ radiusX() [2/2]

double Magick::PathArcArgs::radiusX | ( | void |  | ) | const
| inline

Definition at line 2373 of file Drawable.h.

## ◆ radiusY() [1/2]

void Magick::PathArcArgs::radiusY | ( | double | radiusY_ | ) |
| inline

Definition at line 2378 of file Drawable.h.

## ◆ radiusY() [2/2]

double Magick::PathArcArgs::radiusY | ( | void |  | ) | const
| inline

Definition at line 2382 of file Drawable.h.

## ◆ sweepFlag() [1/2]

void Magick::PathArcArgs::sweepFlag | ( | bool | sweepFlag_ | ) |
| inline

Definition at line 2405 of file Drawable.h.

## ◆ sweepFlag() [2/2]

bool Magick::PathArcArgs::sweepFlag | ( | void |  | ) | const
| inline

Definition at line 2409 of file Drawable.h.

## ◆ x() [1/2]

void Magick::PathArcArgs::x | ( | double | x_ | ) |
| inline

Definition at line 2414 of file Drawable.h.

## ◆ x() [2/2]

double Magick::PathArcArgs::x | ( | void |  | ) | const
| inline

Definition at line 2418 of file Drawable.h.

## ◆ xAxisRotation() [1/2]

void Magick::PathArcArgs::xAxisRotation | ( | double | xAxisRotation_ | ) |
| inline

Definition at line 2387 of file Drawable.h.

## ◆ xAxisRotation() [2/2]

double Magick::PathArcArgs::xAxisRotation | ( | void |  | ) | const
| inline

Definition at line 2391 of file Drawable.h.

## ◆ y() [1/2]

void Magick::PathArcArgs::y | ( | double | y_ | ) |
| inline

Definition at line 2423 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathArcArgs::y | ( | void |  | ) | const
| inline

Definition at line 2427 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp